package com.fjhx.supplier.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.supplier.SupplierProblem;
import com.fjhx.params.supplier.SupplierProblemVo;

import java.util.Map;

/**
 * <p>
 * 供应商面料问题反馈表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-12
 */
public interface SupplierProblemService extends BaseService<SupplierProblem> {

    Page<SupplierProblem> getPage(Map<String, String> condition);

    void add(SupplierProblemVo supplierProblemVo);

    void edit(SupplierProblemVo supplierProblemVo);

    void delete(SupplierProblemVo supplierProblemVo);

    SupplierProblem detail(String id);

    /**
     * 问题反馈统计
     * @param supplierId
     * @return
     */
    Map<String,Integer> statisticsProblem(String supplierId);

    /**
     * 问题反馈条数
     * @param supplierId
     * @return
     */
    Long statisticsProblemCount(String supplierId);
}
